### Method

# Fwupd JcatBlob get_data_as_string

since: 2.1.3

#### Declaration [src]

    gchar*
    fwupd_jcat_blob_get_data_as_string (
      FwupdJcatBlob* self
    )

#### Description [src]

Gets the data stored in the blob, in human readable form.

Available since: 2.1.3

#### Return value

Type: `gchar*`

Either UTF-8 text, or base64 encoded version of binary data.

The caller of the method takes ownership of the returned data, and is responsible for freeing it.
The value is a NUL terminated UTF-8 string.